libzypp 17.38.5

zypp::sat::solvitermixin_detail::UnifyByIdent2 Struct Reference

Unify by `ident` ``(kind:name). More...

`#include <zypp/sat/SolvIterMixin.h>`

## Public Types
using | Umap = std::unordered_map<sat::detail::IdType,sat::detail::SolvableIdType>

## Public Member Functions
bool | operator() (const Solvable &solv_r) const
| UnifyByIdent2 ()

## Public Attributes
shared_ptr< Umap > | _umap

## Detailed Description

Unify by `ident` ``(kind:name).

Return true on the 1st appearance of a new `ident`. This is used in SolvIterMixin when mapping a Solvable iterator to a Selectable iterator. For each `ident` we need one Solvable representing it. Which one does not matter.

Definition at line 44 of file SolvIterMixin.h.

## Member Typedef Documentation

## ◆ Umap

using zypp::sat::solvitermixin_detail::UnifyByIdent2::Umap = std::unordered_map<sat::detail::IdType,sat::detail::SolvableIdType>

Definition at line 48 of file SolvIterMixin.h.

## Constructor & Destructor Documentation

## ◆ UnifyByIdent2()

zypp::sat::solvitermixin_detail::UnifyByIdent2::UnifyByIdent2 | ( |  | ) |
| inline

Definition at line 49 of file SolvIterMixin.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::sat::solvitermixin_detail::UnifyByIdent2::operator() | ( | const Solvable & | solv_r | ) | const

Definition at line 31 of file SolvIterMixin.cc.

## Member Data Documentation

## ◆ _umap

shared_ptr<Umap> zypp::sat::solvitermixin_detail::UnifyByIdent2::_umap

Definition at line 52 of file SolvIterMixin.h.

The documentation for this struct was generated from the following files:

- zypp/sat/SolvIterMixin.h
- zypp/sat/SolvIterMixin.cc